Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Rodrigues__Pedro
Beginner
97 Views

Fail to work with MPI shared library

 I got this error trying to run PETSc  and they can't help me on this:

D:/Developer/PETScDev/petsc/src/snes/tutorials/ex19.exe: error while loading shared libraries: impi.dll;

I also suspect that MKL 'dll' libraries doesn't belong to ENV vars and it will trigger another runtime error.

What should I do to fix these problems? Reinstall oneAPI or fix ENV vars? How?

I also added mpiexec to PATH since it wasn't there. Why these installation problems?

thanks in advance

 

 

 

0 Kudos
0 Replies
Reply